Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601238 - [abrt] crash in audit-viewer-0.6.2-1.fc13: font.py:261:__parse_int:ValueError: invalid literal for int() with base 10: ''
[abrt] crash in audit-viewer-0.6.2-1.fc13: font.py:261:__parse_int:ValueError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audit-viewer (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
abrt_hash:432c7153
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 10:20 EDT by Miloslav Trmač
Modified: 2010-07-26 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: audit-viewer-0.6.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 22:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2010-06-07 10:20 EDT, Miloslav Trmač
no flags Details

  None (edit)
Description Miloslav Trmač 2010-06-07 10:20:43 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -O /usr/share/audit-viewer/main.py
comment: Open "Executable file summary", switch to chart mode.
component: audit-viewer
executable: /usr/share/audit-viewer/main.py
kernel: 2.6.33.5-112.fc13.x86_64
package: audit-viewer-0.6.2-1.fc13
reason: font.py:261:__parse_int:ValueError: invalid literal for int() with base 10: ''
release: Fedora release 13 (Goddard)

backtrace
-----
font.py:261:__parse_int:ValueError: invalid literal for int() with base 10: ''

Traceback (most recent call last):
  File "/usr/share/audit-viewer/report_tab.py", line 404, in __repaint_chart
    area.draw(canvas)
  File "/usr/lib/python2.6/site-packages/pychart/area.py", line 212, in draw
    self.__draw_x_grid_and_axis(can)
  File "/usr/lib/python2.6/site-packages/pychart/area.py", line 141, in __draw_x_grid_and_axis
    self.x_axis.draw(self, can)
  File "/usr/lib/python2.6/site-packages/pychart/axis.py", line 129, in draw
    self.draw_tics_and_labels(ar, can)
  File "/usr/lib/python2.6/site-packages/pychart/axis.py", line 87, in draw_tics_and_labels
    (total_height, base_height) = font.text_height(string)
  File "/usr/lib/python2.6/site-packages/pychart/font.py", line 453, in text_height
    (d1, d2, ymin, ymax) = get_dimension(text)
  File "/usr/lib/python2.6/site-packages/pychart/font.py", line 411, in get_dimension
    (xmax, ymax, halign, valign, angle) = unaligned_get_dimension(text)
  File "/usr/lib/python2.6/site-packages/pychart/font.py", line 379, in unaligned_get_dimension
    elem = itr.next()
  File "/usr/lib/python2.6/site-packages/pychart/font.py", line 299, in next
    self.ts.line_height = self.__parse_int()
  File "/usr/lib/python2.6/site-packages/pychart/font.py", line 261, in __parse_int
    return int(self.str[istart:self.i])
ValueError: invalid literal for int() with base 10: ''

Local variables in innermost frame:
self: <pychart.font.text_iterator instance at 0x2eb9d88>
istart: 9
Comment 1 Miloslav Trmač 2010-06-07 10:20:45 EDT
Created attachment 421836 [details]
File: backtrace
Comment 2 Miloslav Trmač 2010-07-02 14:10:08 EDT
This was already fixed in rawhide audit-viewer-0.6.2-2.
Comment 3 Fedora Update System 2010-07-02 14:17:17 EDT
audit-viewer-0.6.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/audit-viewer-0.6.2-2.fc13
Comment 4 Fedora Update System 2010-07-06 13:27:27 EDT
audit-viewer-0.6.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audit-viewer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/audit-viewer-0.6.2-2.fc13
Comment 5 Fedora Update System 2010-07-26 22:54:48 EDT
audit-viewer-0.6.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.